> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Child Accounts



## OpenAPI

````yaml openapi.json get /child
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /child:
    parameters: []
    get:
      tags:
        - Child Accounts
        - Merchant
      summary: List Child Accounts
      parameters:
        - name: name
          in: query
          required: false
          example: Testing
          schema:
            type: string
        - name: currentPage
          in: query
          required: false
          example: '1'
          schema:
            type: integer
        - name: perPage
          in: query
          required: false
          example: '50'
          schema:
            type: integer
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '365'
            ETag:
              schema:
                type: string
              example: W/"16d-6HzGdrLiJVkIVNbwa2tV34mrNuE"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Wed, 28 Feb 2024 15:07:31 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: List Subaccounts
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      childAccounts:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            status:
                              type: string
                            balance:
                              type: integer
                            createdAt:
                              type: string
                              format: date-time
                      perPage:
                        type: integer
                      currentPage:
                        type: integer
                      totalRecords:
                        type: integer
                      totalPages:
                        type: integer
              example:
                status: true
                data:
                  childAccounts:
                    - id: 5a17ee4f-e846-41d8-af13-b3a99ab4f27e
                      name: Testing
                      status: ACTIVE
                      balance: 0
                      createdAt: '2024-02-28T15:07:26.889Z'
                    - id: a1a34e28-3318-4730-85d0-9b5851a86de7
                      name: OWealth
                      status: ACTIVE
                      balance: 0
                      createdAt: '2024-02-28T15:05:23.276Z'
                  perPage: 20
                  currentPage: 1
                  totalRecords: 2
                  totalPages: 1
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````